/*global $,owl,smoothScroll,WOW*/
$(document).ready(function () {
    "use strict";

    /* ---------------------------------------------
     Loader Screen
    --------------------------------------------- */
    $(window).load(function () {
        $("body").css('overflow-y', 'auto');
        $('#loading').fadeOut(1000);
    });

    $('[data-tool="tooltip"]').tooltip({
        trigger: 'hover',
        animate: true,
        delay: 50,
        container: 'body'
    });

    //for smoth scroll
    smoothScroll.init({
        speed: 800,
        updateURL: false,
        offset: 85
    });

    var wow = new WOW({
        boxClass: 'wow', // animated element css class (default is wow)
        animateClass: 'animated', // animation css class (default is animated)
        mobile: true, // trigger animations on mobile devices (default is true)
        live: true,
        offset: 100,
        scrollContainer: null // optional scroll container selector, otherwise use window
    });
    wow.init();

    /* ---------------------------------------------
     Sliders
    --------------------------------------------- */
    $(".courses-slider").owlCarousel({
        navigation: true,
        slideSpeed: 200,
        responsive: true,
        autoPlay: false,
        items: 3,
        mouseDrag: true,
        pagination: true,
        navigationText: ["<span class='slider-left'><i class='fa fa-angle-left'></i></span>", "<span class='slider-right'><i class='fa fa-angle-right'></i></span>"],
        stopOnHover: true,
        itemsCustom: [
			[0, 1],
			[450, 1],
			[600, 1],
			[700, 1],
            [800, 2],
			[1000, 3],
			[1200, 3],
			[1400, 3],
			[1600, 3]
        ]
    });

    $(".team-slider").owlCarousel({
        navigation: true,
        slideSpeed: 200,
        responsive: true,
        autoPlay: 4000,
        items: 4,
        mouseDrag: true,
        pagination: true,
        navigationText: ["<span class='slider-left'><i class='fa fa-angle-left'></i></span>", "<span class='slider-right'><i class='fa fa-angle-right'></i></span>"],
        stopOnHover: true,
        itemsCustom: [
			[0, 1],
			[450, 1],
			[600, 1],
			[700, 2],
            [800, 2],
			[1000, 3],
			[1200, 4],
			[1400, 4],
			[1600, 5]
        ]
    });
    
    $(".hero-slider").owlCarousel({
        //        transitionStyle: "fade",
        navigation: true,
        slideSpeed: 500,
        paginationSpeed: 400,
        singleItem: true,
        responsive: true,
        autoPlay: 4000,
        pagination: true,
        stopOnHover: false,
        navigationText: ["<span class='slider-left'><i class='fa fa-angle-left'></i></span>", "<span class='slider-right'><i class='fa fa-angle-right'></i></span>"]
    });


    /* ---------------------------------------------
     Scrool To Top Button Function
    --------------------------------------------- */
    $(window).scroll(function () {
        if ($(this).scrollTop() > 500) {
            $(".toTop").css("right", "20px");
        } else {
            $(".toTop").css("right", "-60px");
        }
    });

    $(".toTop").click(function () {
        $("html,body").animate({
            scrollTop: 0
        }, 500);
        return false;
    });

    $('.side-nav').mCustomScrollbar({
        autoHideScrollbar: false,
        setTop: 0,
        scrollInertia: 50,
        theme: "light-1"
    });

    $('.msgs .dropdown-menu').mCustomScrollbar({
        autoHideScrollbar: false,
        setTop: 0,
        scrollInertia: 50,
        theme: "dark-2"
    });

    $('.open-sidebar').on('click', function () {
        $('.sidebar').toggleClass('opened');
        $('.overlay_gen').fadeIn();
        $('body').addClass('sided');
    });

    $('.overlay_gen').on('click', function () {
        $('.sidebar').toggleClass('opened');
        $('.overlay_gen').fadeOut();
        $('body').removeClass('sided');
    });

    $('.head_search .form-group, .open-srch').on("click", function (e) {
        e.stopPropagation();
    });

    $(window).scroll(function () {
        if ($(this).scrollTop() > 0) {
            $('.main-head').addClass('sticky');

        } else {
            $('.main-head').removeClass('sticky');
        }

    });

    $('.select2-normal').select2();

    $('.select-nosearch').select2({
        minimumResultsForSearch: Infinity
    });


    $('.courses-box').mixItUp();


//    $('.courses-filters li').on("click", function () {
//        $(this).addClass('active').siblings().removeClass('active');
//    });

    $('.soon-page').height(window.innerHeight);


    if ($(".rateyo").length) {
        $(".rateyo").rateYo({
            onChange: function (rating, rateYoInstance) {
                $(this).next().text(rating);
            },
            starWidth: "20px",
            spacing: "2px",
            rtl: true
        });
    }
    
    $('.change-data').click(function () {
        $('.pmp-edit').css('display', 'block');
        $('.pmp-view').css('display', 'none');
    });
    
    $('.add-m').click(function () {
        $('.has-in').append('<div class="fileupload fileupload-exists"><input type="hidden" value="" name=""><span class="btn-file"><i class="fa fa-upload"></i>رفع ملفات <input type="file"></span></div>');
    });


});